/*
 * Copyright 2019 Confluent Inc.
 *
 * Licensed under the Confluent Community License (the "License"); you may not use
 * this file except in compliance with the License.  You may obtain a copy of the
 * License at
 *
 * http://www.confluent.io/confluent-community-license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 */

package io.confluent.kafka.secretregistry.exceptions;

/**
 * Indicates some error while performing a secret registry operation
 */
public class SecretRegistryException extends Exception {

  public SecretRegistryException(String message, Throwable cause) {
    super(message, cause);
  }

  public SecretRegistryException(String message) {
    super(message);
  }

  public SecretRegistryException(Throwable cause) {
    super(cause);
  }

  public SecretRegistryException() {
    super();
  }
}
